WebSphereMQJMSDestination (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereMQJMSDestination interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereMQJMSDestination

All Superinterfaces:
  ConfigurationItem, J2EEResource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource, WebSphereJ2EEResource, WebSphereJMSDestination

All Known Subinterfaces:
  WebSphereMQJMSQueue, WebSphereMQJMSTopic

    public interface WebSphereMQJMSDestination

extends WebSphereJMSDestination

Represents a WebSphere MQ JMS Destination (Publish/Subscribe messaging).

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJ2EEResource
`IBM_COPYRIGHT`

Method Summary
`int` | `getCCSID()`
`java.lang.String` | `getDecimalEncoding()`
`java.lang.String` | `getFloatingPointEncoding()`
`java.lang.String` | `getIntegerEncoding()`
`boolean` | `getNativeEncoding()`
`java.lang.String` | `getTargetClient()`
`boolean` | `hasCCSID()`
`boolean` | `hasDecimalEncoding()`
`boolean` | `hasFloatingPointEncoding()`
`boolean` | `hasIntegerEncoding()`
`boolean` | `hasNativeEncoding()`
`boolean` | `hasTargetClient()`
`void` | `setCCSID(int CCSID)`
`void` | `setDecimalEncoding(java.lang.String decimalEncoding)`
`void` | `setFloatingPointEncoding(java.lang.String floatingPointEncoding)`
`void` | `setIntegerEncoding(java.lang.String integerEncoding)`
`void` | `setNativeEncoding(boolean useNativeEncoding)`
`void` | `setTargetClient(java.lang.String targetClient)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJMSDestination
`getCategory, getExpiry, getJNDIName, getMessagePriority, getPersistence, getProvider, getResourceProperties, getSpecifiedExpiry, getSpecifiedPriority, hasCategory, hasExpiry, hasJNDIName, hasMessagePriority, hasPersistence, hasProvider, hasResourceProperties, hasSpecifiedExpiry, hasSpecifiedPriority, setCategory, setExpiry, setJNDIName, setMessagePriority, setPersistence, setProvider, setResourceProperties, setSpecifiedExpiry, setSpecifiedPriority`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJ2EEResource
`getNode, hasNode, setNode`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getCCSID

    int getCCSID()
                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCCSID

    void setCCSID(int CCSID)

### hasCCSID

    boolean hasCCSID()

### getNativeEncoding

    boolean getNativeEncoding()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNativeEncoding

    void setNativeEncoding(boolean useNativeEncoding)

### hasNativeEncoding

    boolean hasNativeEncoding()

### getIntegerEncoding

    java.lang.String getIntegerEncoding()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIntegerEncoding

    void setIntegerEncoding(java.lang.String integerEncoding)

### hasIntegerEncoding

    boolean hasIntegerEncoding()

### getDecimalEncoding

    java.lang.String getDecimalEncoding()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDecimalEncoding

    void setDecimalEncoding(java.lang.String decimalEncoding)

### hasDecimalEncoding

    boolean hasDecimalEncoding()

### getFloatingPointEncoding

    java.lang.String getFloatingPointEncoding()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFloatingPointEncoding

    void setFloatingPointEncoding(java.lang.String floatingPointEncoding)

### hasFloatingPointEncoding

    boolean hasFloatingPointEncoding()

### getTargetClient

    java.lang.String getTargetClient()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTargetClient

    void setTargetClient(java.lang.String targetClient)

### hasTargetClient

    boolean hasTargetClient()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD